@import url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700&display=swap');
*{
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}
body{
    background: #f2f2f2;
}
nav{
    /* position: fixed; */
    z-index: 5;
    left: 0;
    top: 0;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    height: 50px;
    padding: 0 10 0 100px;
}
nav .logo{
    color: #fff;
    font-size: 30px;
    font-weight: 600;
    padding: 0;
}
nav .nav-items{
    display: flex;
    flex: 1;
    list-style: none;
    padding: 0 0 0 40px;
}
nav .nav-items li{
    padding: 0 15px;
}
nav .nav-items li a{
    color: #fff;
    font-size: 15px;
    font-weight: 500;
    text-decoration: none;
}
nav .nav-items li a:hover{
    color: #149ff0;
}
/* search bar full screen */
nav form{
    position: absolute;
    top: 10px;
    right: 15px;
    display: flex;
    height: 40px;
    border-radius: 2px;
    padding: 2px;
    /* background: #1e232b; */
    min-width: 18%!important;
    border: 1px solid rgba(155, 155, 155, 0.2)
}
nav form button{
    padding: 0 15px;
    background: #149ff0;
    border: none;
    cursor: pointer;
    font-size: 17;
    color: #fff;
    border-radius: 2px;
}
nav form .search-data{
    height: 100%;
    width: 100%;
    padding: 0 10px;
    /* color: rgb(0, 0, 0); */
    font-weight: 500;
    /* background: none; */
    border: none;
    font-size: 17px;
}
nav .menu-icon,
nav .search-icon{
    width: 40 px;
    color: #fff;
    text-align: center;
    margin: 0 20px;
    font-size: 18px;
    cursor: pointer;
    display: none;
}
nav .cancel-icon{
    width: 50 px;
    color: #fff;
    text-align: center;
    margin: 0 20px;
    font-size: 18px;
    cursor: pointer;
    display: none;
}
nav .cancel-icon-menu{
    width: 50 px;
    color: #fff;
    text-align: center;
    margin: 0 20px;
    font-size: 18px;
    cursor: pointer;
    display: none;
}
nav .menu-icon span,
nav .search-icon,
nav .cancel-icon-menu,
nav .cancel-icon{
display: none;
}
@media (max-width: 2000px) {
    nav{
        padding: 0px;
        z-index: 2;
    }
    nav .nav-items li{
        line-height: 50px;
        margin: 30px 0;
    }
    nav .nav-items li a{
        font-size: 20px;
    }
    nav .logo{
        flex: 2;
        font-size: 10px;
        text-align: center;
    }
    nav form{
        position: absolute;
        top: 50px;
        right: 15px;
        opacity: 0;
        pointer-events: none;
        transition: top 0.3s ease, opacity 0.1s ease;
    }
    nav form.active{
        opacity: 1;
        top: 80px;
        pointer-events: auto;
    }
    /* Sebelum search Bar di klik */
    nav form:before{
        position: absolute;
        content: "";
        top: -13px;
        right: 0;
        width: 0;
        height: 0;
        z-index: -1;
        margin: -15px 0 0;
        border: 10px solid transparent;
        border-bottom-color: #38b6ff;
    }
    /* setelah search bar di klik */
    nav form:after{
        position: absolute;
        content: "";
        height: 50px;
        width: calc(100% + 20px);
        top: -13px;
        padding: 2px;
        background: #38b6ff;
        border-radius: 2px;
        z-index: -2;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }
    nav .menu-icon{
        display: block;
    }
    nav .nav-items{
        position: fixed;
        z-index: 1;
        top: 50px;
        width: 100%;
        height: 100%;
        left: -100%;
        background: #6dc5f9;
        display: inline-block;
        padding: 0 50px 0 50px;
        text-align: center;
        transition: left 0.3s ease;
    }
    nav .nav-items.active{
        left: 0%;
    }
    nav .search-icon,
    nav .menu-icon span{
        display: block;
    }
    nav .search-icon.hide,
    nav .menu-icon span.hide{
        display: none;
    }
    nav .cancel-icon.show{
        display: block;
    }
    nav .cancel-icon-menu.show{
        display: block;
    }
}
@media (max-width: 480px){
    nav .logo{
        object-fit: scale-down;
        color: #fff;
        font-size: 20px;
        font-weight: 600;
        padding: 0 10 0 100px;
    }
    nav .search-icon,
    nav .menu-icon,
    nav .cancel-icon{
        margin: 0 20px;
        font-size: 16px;
    }
    nav form{
        right: 15px;
    }
}

.navbar-bg{
    background-color:#38b6ff;
}